//////////////////////////////////////////////
// Engine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "Dll/DllDefines.h"

// Common
#include <nilkinsCommon/Patterns/SingletonClass.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT Engine final : public nkCommon::SingletonClass<Engine>
	{
		friend class nkCommon::SingletonClass<Engine> ;

		private :

			// Constructeur, destructeur
			Engine () ;
			~Engine () ;

		public :

			// Init
			bool initialize () const ;
			
			// Shutdown
			void shutdown () const ;
	} ;
}