//////////////////////////////////////////////
// GraphicsEngine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "Dll/DllDefines.h"

// Common
#include <nilkinsCommon/Patterns/SingletonClass.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT GraphicsEngine final : public nkCommon::SingletonClass<GraphicsEngine>
	{
		friend class nkCommon::SingletonClass<GraphicsEngine> ;

		private :

			// Constructeur, destructeur
			GraphicsEngine () ;
			~GraphicsEngine () ;

		public :

			// Init
			bool initialize () const ;

			// Shutdown
			void shutdown () const ;
	} ;
}