﻿//////////////////////////////////////////////
// KeyEventData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "InputCodes.h"

/// Class ------------------------------------

namespace nkWinUi
{
	struct KeyEventData
	{
		// Touche
		char _key = ' ' ;
		KEY_CODE _code = KEY_UNKNOWN ;
		// Son état
		bool _pressed = false ;
		// Si on est une touche spéciale (c'est code qu'il faut utiliser à ce moment)
		bool _specialKey = false ;

		// Auto repeat count
		unsigned int _repeatCount = 0 ;
		// Scan code
		unsigned int _scanCode = 0 ;
		// Si on est extended
		bool _extendedKey = false ;

		// Si alt
		bool _altPressed = false ;

		// Etat précédent
		bool _wasPressed = false ;
	} ;
}